Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## groovy.transform
[Java] Annotation Type CompileStatic

    java.lang.Object
      groovy.transform.CompileStatic

    @Documented
    @Retention(RetentionPolicy.SOURCE)
    @Target({   ElementType.METHOD,         ElementType.TYPE,
                ElementType.CONSTRUCTOR,    ElementType.FIELD,
                ElementType.LOCAL_VARIABLE, ElementType.PACKAGE
    })
    @GroovyASTTransformationClass("org.codehaus.groovy.transform.sc.StaticCompileTransformation")
    public @interface CompileStatic

This will let the Groovy compiler use compile time checks in the style of Java then perform static compilation, thus bypassing the Groovy meta object protocol.

Authors:
  Jochen "blackdrag" Theodorou
  Cedric Champeau

Optional Element Summary
`TypeCheckingMode` | `value` @default TypeCheckingMode.PASS

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Element Detail

### value

    public TypeCheckingMode value

  @default TypeCheckingMode.PASS

Groovy Documentation